Loading...
Searching...
No Matches
boundarygrid.hh File Reference

Class describing 2D quadrilateral grids. More...

`#include <opm/common/utility/platform_dependent/disable_warnings.h>`
`#include <dune/common/version.hh>`
`#include <dune/common/fvector.hh>`
`#include <dune/common/fmatrix.hh>`
`#include <dune/geometry/referenceelements.hh>`
`#include <dune/grid/common/mcmgmapper.hh>`
`#include <dune/grid/common/defaultgridview.hh>`
`#include <opm/common/utility/platform_dependent/reenable_warnings.h>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | Opm::Elasticity::BoundaryGrid
| A class describing a quad grid. More...
class | Opm::Elasticity::BoundaryGrid::Vertex
| A class describing a 2D vertex. More...
class | Opm::Elasticity::BoundaryGrid::Quad
| A class describing a linear, quadrilateral element. More...
struct | Opm::Elasticity::BoundaryGrid::VertexLess
| Predicate for sorting vertices. More...
struct | Opm::Elasticity::BoundaryGrid::BoundedPredicate
| Predicate for checking if a vertex falls within a quads bounding box. More...
class | Opm::Elasticity::HexGeometry< mydim, cdim, GridImp >
| Geometry class for general hexagons. More...
class | Opm::Elasticity::HexGeometry< 2, cdim, GridImp >
| Specialization for 2D quadrilaterals. More...

## Namespaces

namespace | Opm
| Inverting small matrices.

## Functions

BoundaryGrid::Vertex | Opm::Elasticity::minXminY (const std::vector< BoundaryGrid::Vertex > &in)
| Find the vertex in the vector with minimum X and minimum Y.
BoundaryGrid::Vertex | Opm::Elasticity::maxXminY (const std::vector< BoundaryGrid::Vertex > &in)
| Find the vertex in the vector with maximum X and minimum Y.
BoundaryGrid::Vertex | Opm::Elasticity::maxXmaxY (const std::vector< BoundaryGrid::Vertex > &in)
| Find the vertex in the vector with maximum X and maximum Y.
BoundaryGrid::Vertex | Opm::Elasticity::minXmaxY (const std::vector< BoundaryGrid::Vertex > &in)
| Find the vertex in the vector with minimum X and maximum Y.

## Detailed Description

Class describing 2D quadrilateral grids.

Date
  Nov 9 2011

Author
  Arne Morten Kvarving / SINTEF

## Function Documentation

## maxXmaxY()

BoundaryGrid::Vertex Opm::Elasticity::maxXmaxY | ( | const std::vector< BoundaryGrid::Vertex > & | in | ) |

Find the vertex in the vector with maximum X and maximum Y.

Returns
  The requested vertex

## maxXminY()

BoundaryGrid::Vertex Opm::Elasticity::maxXminY | ( | const std::vector< BoundaryGrid::Vertex > & | in | ) |

Find the vertex in the vector with maximum X and minimum Y.

Returns
  The requested vertex

## minXmaxY()

BoundaryGrid::Vertex Opm::Elasticity::minXmaxY | ( | const std::vector< BoundaryGrid::Vertex > & | in | ) |

Find the vertex in the vector with minimum X and maximum Y.

Returns
  The requested vertex

## minXminY()

BoundaryGrid::Vertex Opm::Elasticity::minXminY | ( | const std::vector< BoundaryGrid::Vertex > & | in | ) |

Find the vertex in the vector with minimum X and minimum Y.

Returns
  The requested vertex